### Property

# Shumate MarkerLayer:selection-mode

since: 1.0

#### Declaration

    property selection-mode: Gtk.SelectionMode [ read, write ]

#### Description [src]

Determines the type of selection that will be performed.

Type: | `GtkSelectionMode`
Available since: | 1.0

Default value | GTK_SELECTION_NONE
Getter method | `shumate_marker_layer_get_selection_mode()`
Setter method | `shumate_marker_layer_set_selection_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no